---
schema_version: "1"
id: d04d4669c1b56de96dad144a6e5a430fd3b4e558c155d1cbbf58285d6d1fa62e
title: Get the Status of Your Portability Request
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/platform/api-rest/guides/resources/resources-portability-get.md
canonical_url: https://developer.salesforce.com/docs/platform/api-rest/guide/resources-portability-get.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 08ffd82692f477b5998e07104918e80892219647e67a451c992a0d8b1f0baaae
products:
  - REST API Developer Guide
  - Platform Developer Content
---

# Get the Status of Your Portability Request

See the status of your Portability POST request by using a Portability GET request. Use the policy file ID from the POST method response to execute the GET method. This resource is available in REST API version 50.0 and later.

To use the Portability API, you must have the ModifyAllData or PrivacyDataAccess user permission. Ensure that your Salesforce admin has granted you these permissions.

The response body contains this information:

|Value|Description|
|-----|-----------|
|`policyFileStatus`|The status of the file being compiled. Values are: In Progress, Complete, or Failed.|
|`policyFileURL`|The URL to a servlet, where you download the file after it's compiled.|
|`policyFileID`|The ID of the file being compiled, which is returned in the POST method response. The ID is 15 characters.|

**note:** Starting with the Spring ‘21 release, Privacy Center automatically deletes files generated by Portability API after 60 days. You receive a reminder seven days before a file is deleted.

## Syntax

**URI:** `/services/data/vXX.X/consent/dsr/rtp/execute`

**Formats:** JSON

**HTTP methods:** GET

**Authentication:** `Authorization: Bearer token`

**Request body:** None

**Request parameters**

|Parameter|Description|
|---------|-----------|
|`policyFileId`|The ID of the file being compiled, which is returned in the POST method response. The ID is 15 characters.|

## Example

**Example Request**

```nolang
curl https://MyDomainName.my.salesforce.com/services/data/v68.0/consent/dsr/rtp/execute?policyFileId=0jeS70000004CBO -H "Authorization: Bearer token"
```

**Example Response Body**

```nolang

{ 
   “status" : "SUCCESS",
   "warnings" : [ ], 
   "result" : { 
       "policyFileStatus" : "Failed", 
       "policyFileUrl" : "https://MyDomainName.my.salesforce.com/servlet/policyFileDownload?file=0jeS70000004CBO", 
       "policyFileId" : "0jeS70000004CBO" 
   } 
}

```

